Web Form Builder 2.10 PHP

User 1930481 Photo


Registered User
1 post

Hi, I’m on an older version of web form builder which is no longer compatible with the current PHP level.

1) What level PHP does WFB2.10 successfully run in without any modifications?

2) Can I upgrade to 2.10 for free ?

User 187934 Photo


Senior Advisor
20,170 posts

Hi Jamie,
I would hold off for a while. There's a few issues users have been having with the latest version of the Form Builder and php V 8. I haven't heard when it will be fixed.
I can't hear what I'm looking at.
It's easy to overlook something you're not looking for.

This is a site I built for my work.(RSD)
http://esmansgreenhouse.com
This is a site I built for use in my job.(HTML Editor)
https://pestlogbook.com
This is my personal site used for testing and as an easy way to share photos.(RLM imported to RSD)
https://ericrohloff.com
User 458539 Photo


Registered User
1,583 posts

Has the php 8 problem been fixed? I am having an extreme problem with all forms on my server and its on vers 8
User 458539 Photo


Registered User
1,583 posts

I will upgrade to the new one if it has!
User 2699991 Photo


Registered User
4,761 posts

Byron Tipping wrote:
I will upgrade to the new one if it has!


I have answered this on your other post
Mastering The Understanding With Hands-On Learning
NEW TO "COFFEECUP SITE DESIGNER" FOUNDATION 6 FRAMEWORK?
STUCK ON SOMETHING?

LEARNING & UNDERSTANDING "THE HOW TO"? THE WHY'S & THE WHEREFORE'S?
WITH WAYAN'S STEP BY STEP TUTORIALS
Contact Me For One To One Assistance
https://mawarputih.coffeecup.com/forms/prove-human/
User 2049535 Photo


Registered User
62 posts

New to this thread. I am looking at php 8 for all my sites and finding that the forms have disappeared. I see that I can upgrade to 2.10 for $99 (!) but I don't want to if it's not fixed yet. Any confirmation that 2.10 works ok now? Thanks.
User 187934 Photo


Senior Advisor
20,170 posts

A fix is in the works and is expected in the 1st quarter of next year. I suspect CC will make things right considering all the issues some users have had. I've been focusing on using SD to build forms so I can easily integrate my custom scripts.
I can't hear what I'm looking at.
It's easy to overlook something you're not looking for.

This is a site I built for my work.(RSD)
http://esmansgreenhouse.com
This is a site I built for use in my job.(HTML Editor)
https://pestlogbook.com
This is my personal site used for testing and as an easy way to share photos.(RLM imported to RSD)
https://ericrohloff.com
User 2049535 Photo


Registered User
62 posts

Thanks for the information. I opened a ticket today and it was encouraging news.

"At this time we only support up to PHP 7.4. We are working on an update for PHP 8 - we hope to have it ready by the end of the year (fingers crossed everything goes smoothly!)"

I am under the gun for timing here. My server gods need to migrate my files to a new server by May 2024. I am working hard to convert mysql to mysqli files. All good to convert to 8 php until I get a CoffeeCup form that blanks out. I have my fingers crossed that CC will get it done sooner than later.

Have something to add? We’d love to hear it!
You must have an account to participate. Please Sign In Here, then join the conversation.